<?php
class Session {
	public $data = array();

  	public function __construct($session_name = 'PHPSESSID') {
		if (!session_id()) {
			ini_set('session.use_cookies', 'On');
			ini_set('session.use_trans_sid', 'Off');
			ini_set('session.gc_maxlifetime', 432000);

			session_name($session_name);
      session_set_cookie_params(432000, '/');//5 dias em segundos
			session_start();
		}

		$this->data =& $_SESSION;
	}

	function getId() {
		return session_id();
	}
}
